<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Listdomer
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if(post_password_required())
{
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if(have_comments()):
		?>
		<h2 class="comments-title">
			<?php
			$listdomer_comment_count = get_comments_number();
			if('1' === $listdomer_comment_count)
			{
				printf(
					/* translators: 1: title. */
					esc_html__('One thought on &ldquo;%1$s&rdquo;', 'listdomer'),
					'<span>' . wp_kses_post(get_the_title()) . '</span>'
				);
			}
			else
			{
				printf( 
					/* translators: 1: comment count number, 2: title. */
					esc_html(_nx('%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $listdomer_comment_count, 'comments title', 'listdomer')),
					number_format_i18n($listdomer_comment_count), // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
					'<span>' . wp_kses_post(get_the_title()) . '</span>'
				);
			}
			?>
		</h2>

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
			<?php
                wp_list_comments([
                    'style'      => 'ol',
                    'short_ping' => true,
                ]);
			?>
		</ol>

		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if(!comments_open()):
			?>
			<p class="no-comments"><?php esc_html_e('Comments are closed.', 'listdomer'); ?></p>
			<?php
		endif;

	endif;

	comment_form();
	?>

</div>