<?php
// no direct access
defined('ABSPATH') || die();

if(!class_exists('LSDR_Dependencies')):

/**
 * Dependencies Class
 *
 * @class LSDR_Dependencies
 * @version	1.0.0
 */
class LSDR_Dependencies extends LSDR_Base
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
        // Include GTMPA
        include_once get_template_directory().'/includes/tgmpa/core.php'; // phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

        add_action('tgmpa_register', array($this, 'dependencies'));
    }

    public function dependencies()
    {
        // Plugins
        $plugins = array(
            array(
                'name' => 'Listdomer Core',
                'slug' => 'listdomer-core',
                'required' => false,
                'force_activation' => false,
                'force_deactivation' => false,
            ),
            array(
                'name' => 'Listdom',
                'slug' => 'listdom',
                'is_callable' => 'listdom',
                'required' => false
            ),
            array(
                'name' => 'Elementor',
                'slug' => 'elementor',
                'required' => false
            ),
            array(
                'name' => 'MC4WP: Mailchimp for WordPress',
                'slug' => 'mailchimp-for-wp',
                'required' => false
            ),
            array(
                'name' => 'One Click Demo Import',
                'slug' => 'one-click-demo-import',
                'required' => false,
            ),
        );

        // TGMPA Configuration Options
        $config = array(
            'id' => 'listdomer',
            'default_path' => '',
            'menu' => 'listdomer-install-plugins',
            'has_notices' => true,
            'dismissable' => true,
            'dismiss_msg' => '',
            'is_automatic' => false,
            /* translators: %s: Theme Name. */
            'message' => '<p>'.sprintf(__("To use all features of %s theme. You need to install and activate following plugins.", 'listdomer'), '<strong>Listdomer</strong>').'</p>',
            'strings' => array(
                'page_title' => __('Listdomer Plugins', 'listdomer'),
                'menu_title' => __('Listdomer Plugins', 'listdomer'),
            )
        );

        tgmpa($plugins, $config);
    }
}

endif;