<?php
// no direct access
defined('ABSPATH') || die();

if(!class_exists('LSDR_Headers')):

/**
 * Headers Class
 *
 * @class LSDR_Headers
 * @version	1.0.0
 */
class LSDR_Headers extends LSDR_Base
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
        add_action('customize_register', array($this, 'customizer'));
    }

    /**
     * @param WP_Customize_Manager $manager Theme Customizer object.
     */
    public function customizer($manager)
    {
        // Header Type
        $manager->add_setting('listdomer_header_type', array(
            'default'   => 'type1',
            'transport' => 'refresh',
        ));

        $manager->add_control(new WP_Customize_Control(
            $manager,
            'listdomer_header_type_control',
            array(
                'label' => esc_html__('Header Type', 'listdomer'),
                'settings' => 'listdomer_header_type',
                'section' => 'listdomer_header',
                'description' => esc_html__('You need listdomer pro version to see all header types.', 'listdomer'),
                'type' => 'select',
                'choices' => LSDR_Headers::all()
            )
        ));
    }

    public static function all()
    {
        $headers = array(
            'type1' => 'Type 1',
        );

        return apply_filters('lsdr_header_types', $headers);
    }

    public static function display($type = null)
    {
        // Header Type
        if(!$type)
        {
            $type = get_theme_mod('listdomer_header_type');

            global $post;
            if($post and isset($post->ID))
            {
                $header = get_post_meta($post->ID, 'lsdr_header', true);
                if($header and $header !== 'inherit') $type = $header;
            }
        }

        get_template_part('partials/headers/header', $type);
    }
}

endif;