<?php
// no direct access
defined('ABSPATH') || die();

if(!class_exists('LSDR_Jetpack')):

/**
 * Jetpack Class
 *
 * @class LSDR_Jetpack
 * @version	1.0.0
 */
class LSDR_Jetpack extends LSDR_Base
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
        add_action('after_setup_theme', array($this, 'setup'));
    }

    public function setup()
    {
        // Add theme support for Infinite Scroll.
        add_theme_support('infinite-scroll', array(
            'container' => 'main',
            'render' => array($this, 'render'),
            'footer' => 'page',
        ));

        // Add theme support for Responsive Videos.
        add_theme_support('jetpack-responsive-videos');

        // Add theme support for Content Options.
        add_theme_support('jetpack-content-options', array(
            'post-details' => array(
                'stylesheet' => 'listdomer',
                'date' => '.posted-on',
                'categories' => '.cat-links',
                'tags' => '.tags-links',
                'author' => '.byline',
                'comment' => '.comments-link',
            ),
            'featured-images' => array(
                'archive' => true,
                'post' => true,
                'page' => true,
            ),
        ));
    }

    public function render()
    {
        while(have_posts())
        {
            the_post();

            if(is_search()) get_template_part('partials/content', 'search');
            else get_template_part('partials/content', get_post_type());
        }
    }
}

endif;