<?php
// no direct access
defined('ABSPATH') || die();

if(!class_exists('LSDR_Personalize')):

/**
 * Listdomer Personalize Class.
 *
 * @class LSDR_Personalize
 * @version	1.0.0
 */
class LSDR_Personalize extends LSDR_Base
{
    /**
	 * Constructor method
	 */
	public function __construct()
    {
        parent::__construct();
	}

    public static function generate()
    {
        $body_bg_color = sanitize_text_field(get_theme_mod('listdomer_body_bg_color', '#e8f1ff'));
        $second_bg_color = sanitize_text_field(get_theme_mod('listdomer_second_bg_color', '#e6f7ff'));
        $main_font = sanitize_text_field(get_theme_mod('listdomer_main_font', 'Poppins'));
        $main_border_color = sanitize_text_field(get_theme_mod('listdomer_main_border_color', '#bceaff'));
        $main_title_color = sanitize_text_field(get_theme_mod('listdomer_main_title_color', '#000000'));
        $main_atc_color = sanitize_text_field(get_theme_mod('listdomer_main_atc_color', '#66686b')); // Active Text Color
        $headlines_color = sanitize_text_field(get_theme_mod('listdomer_headlines_color', '#000000'));

        $header_bg_color = sanitize_text_field(get_theme_mod('listdomer_header_bg_color', '#ffffff'));
        $header_text_color = sanitize_text_field(get_theme_mod('listdomer_header_text_color', '#000000'));

        $sidebar_input_color = sanitize_text_field(get_theme_mod('listdomer_sidebar_input_color', '#a4a8b5'));
        $sidebar_text_color = sanitize_text_field(get_theme_mod('listdomer_sidebar_text_color', '#3a3b40'));
        $sidebar_a_color = sanitize_text_field(get_theme_mod('listdomer_sidebar_a_color', '#8d919c'));
        $sidebar_border_color = sanitize_text_field(get_theme_mod('listdomer_sidebar_border_color', '#ececec'));

        $carousel_border_color = sanitize_text_field(get_theme_mod('listdomer_carousel_border_color', '#d3d9e8'));
        $carousel_active_color = sanitize_text_field(get_theme_mod('listdomer_carousel_active_color', '#33bdfc'));
        $widget_color = sanitize_text_field(get_theme_mod('listdomer_widget_color', '#7e8086'));
        $widget_active_color = sanitize_text_field(get_theme_mod('listdomer_widget_active_color', '#33bdfc'));

        $content_color = sanitize_text_field(get_theme_mod('listdomer_content_color', '#66686b'));
        $content_a_color = sanitize_text_field(get_theme_mod('listdomer_content_a_color', '#8d919c'));
        $content_a_active_color = sanitize_text_field(get_theme_mod('listdomer_content_a_active_color', '#3a3b40'));

        $single_icon_color = sanitize_text_field(get_theme_mod('listdomer_single_icon_color', '#33bdfc'));
        $single_icon_color2 = sanitize_text_field(get_theme_mod('listdomer_single_icon_color2', '#2b93ff'));
        $single_star_color = sanitize_text_field(get_theme_mod('listdomer_single_star_color', '#fecc39'));
        $single_active_color = sanitize_text_field(get_theme_mod('listdomer_single_active_color', '#a4a8b5'));
        $single_slider_button_bg = sanitize_text_field(get_theme_mod('listdomer_single_slider_button_bg', '#000000'));
        $single_slider_button_color = sanitize_text_field(get_theme_mod('listdomer_single_slider_button_color', '#ffffff'));

        $footer_bg_color = sanitize_text_field(get_theme_mod('listdomer_footer_bg_color', '#1c1c1c'));
        $footer_text_color = sanitize_text_field(get_theme_mod('listdomer_footer_text_color', '#ffffff'));
        $footer_fbg_color = sanitize_text_field(get_theme_mod('listdomer_footer_fbg_color', '#000000'));
        $footer_active_color = sanitize_text_field(get_theme_mod('listdomer_footer_active_color', '#747577'));

        $g_color1 = sanitize_text_field(get_theme_mod('listdomer_g_color1', '#33c6ff'));
        $g_color2 = sanitize_text_field(get_theme_mod('listdomer_g_color2', '#306be6'));
        $g_text_color = sanitize_text_field(get_theme_mod('listdomer_g_text_color', '#ffffff'));
        $g_active_color1 = sanitize_text_field(get_theme_mod('listdomer_g_active_color1', '#0ab0fe'));
        $g_active_color2 = sanitize_text_field(get_theme_mod('listdomer_g_active_color2', '#24b7ff'));

        $raw = file_get_contents(get_template_directory().'/assets/css/personalized.raw');

        $CSS = str_replace('((body_bg_color))', $body_bg_color, $raw);
        $CSS = str_replace('((second_bg_color))', $second_bg_color, $CSS);
        $CSS = str_replace('((main_font))', $main_font, $CSS);
        $CSS = str_replace('((main_border_color))', $main_border_color, $CSS);
        $CSS = str_replace('((main_title_color))', $main_title_color, $CSS);
        $CSS = str_replace('((main_atc_color))', $main_atc_color, $CSS);
        $CSS = str_replace('((headlines_color))', $headlines_color, $CSS);
        $CSS = str_replace('((header_bg_color))', $header_bg_color, $CSS);
        $CSS = str_replace('((header_text_color))', $header_text_color, $CSS);
        $CSS = str_replace('((sidebar_input_color))', $sidebar_input_color, $CSS);
        $CSS = str_replace('((sidebar_text_color))', $sidebar_text_color, $CSS);
        $CSS = str_replace('((sidebar_a_color))', $sidebar_a_color, $CSS);
        $CSS = str_replace('((sidebar_border_color))', $sidebar_border_color, $CSS);
        $CSS = str_replace('((carousel_border_color))', $carousel_border_color, $CSS);
        $CSS = str_replace('((carousel_active_color))', $carousel_active_color, $CSS);
        $CSS = str_replace('((widget_color))', $widget_color, $CSS);
        $CSS = str_replace('((widget_active_color))', $widget_active_color, $CSS);
        $CSS = str_replace('((content_color))', $content_color, $CSS);
        $CSS = str_replace('((content_a_color))', $content_a_color, $CSS);
        $CSS = str_replace('((content_a_active_color))', $content_a_active_color, $CSS);
        $CSS = str_replace('((single_icon_color))', $single_icon_color, $CSS);
        $CSS = str_replace('((single_icon_color2))', $single_icon_color2, $CSS);
        $CSS = str_replace('((single_star_color))', $single_star_color, $CSS);
        $CSS = str_replace('((single_active_color))', $single_active_color, $CSS);
        $CSS = str_replace('((single_slider_button_bg))', $single_slider_button_bg, $CSS);
        $CSS = str_replace('((single_slider_button_color))', $single_slider_button_color, $CSS);
        $CSS = str_replace('((footer_bg_color))', $footer_bg_color, $CSS);
        $CSS = str_replace('((footer_text_color))', $footer_text_color, $CSS);
        $CSS = str_replace('((footer_fbg_color))', $footer_fbg_color, $CSS);
        $CSS = str_replace('((footer_active_color))', $footer_active_color, $CSS);
        $CSS = str_replace('((g_color1))', $g_color1, $CSS);
        $CSS = str_replace('((g_color2))', $g_color2, $CSS);
        $CSS = str_replace('((g_text_color))', $g_text_color, $CSS);
        $CSS = str_replace('((g_active_color1))', $g_active_color1, $CSS);
        $CSS = str_replace('((g_active_color2))', $g_active_color2, $CSS);

        // Write the generated CSS file
        file_put_contents(get_template_directory().'/assets/css/personalized.css', $CSS);
    }

    public static function assets()
    {
        $main_font = sanitize_text_field(get_theme_mod('listdomer_main_font', 'Poppins'));

        // Include the Font
        wp_enqueue_style('google-font-'.sanitize_title($main_font), 'https://fonts.googleapis.com/css?family='.urlencode($main_font).':wght@500&display=swap');

        // Include Listdomer personalized CSS file
        wp_enqueue_style('listdomer-personalized', get_template_directory_uri().'/assets/css/personalized.css', array('listdomer'), LSDR_VERSION.'.'.time());
    }
}

endif;