<?php
/**
 * Template part for displaying sub-footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Listdomer
 */

$subfooter_menu = wp_nav_menu(array(
    'theme_location' => 'menu-2',
    'menu_id'        => 'subfooter-menu',
    'echo'           => false,
));
?>
<div class="container">
    <div class="site-subfooter">
        <?php if(trim($subfooter_menu)): ?>
        <nav id="site-subfooter-navigation" class="subfooter-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Sub Footer ', 'listdomer' ); ?>">
            <?php echo $subfooter_menu; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
        </nav>
        <?php endif; ?>

        <div class="site-info">
            <?php
            /* translators: %s: Copy right sign, current year and site name */
            printf(esc_html__('%1$s %2$s %3$s. All rights reserved.', 'listdomer'), '&copy;', current_time('Y'), get_bloginfo('name', 'display')); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
            ?>
        </div>
    </div>
</div>